import 'package:osam_flutter/osam_flutter.dart';

@HiveType(typeId: 0)
class Item {
  @HiveField(0)
  final double price;
  @HiveField(1)
  final String name;
  @HiveField(2)
  final int weight;

  Item({this.price = 0.0, this.name = '', this.weight = 0});
}

class Item2 {
  final double price;
  final String name;
  final int weight;

  Item2({this.price = 0.0, this.name = '', this.weight = 0});

  factory Item2.fromMap(Map<String, dynamic> map) {
    return Item2(
      price: map['price'] as double,
      name: map['name'] as String,
      weight: map['weight'] as int,
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'price': this.price,
      'name': this.name,
      'weight': this.weight,
    };
  }
}
