library osam_flutter;

import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:osam/osam.dart';
import 'package:osam_flutter/src/navigation/navigation.dart';
import 'package:osam_flutter/src/navigation/osam_route.dart';

export 'package:after_layout/after_layout.dart';
export 'package:osam/osam.dart';
export 'src/navigation/navigation_presenter.dart';
export 'src/navigation/navigation.dart';
export 'src/navigation/osam_navigator.dart';
export 'src/navigation/osam_route.dart';
export 'src/presentation/loading/loading_mixin.dart';
export 'src/presentation/loading/loading_wrapper.dart';
export 'src/presentation/osam_provider.dart';
export 'src/legasy/osam_builder.dart';


void registerOsamFlutterAdapters() {
  if(!kReleaseMode) print('from 220 to 223 typeId reserved by Osam Flutter');
  Hive.registerAdapter(PropertyNotifierAdapter());
  Hive.registerAdapter(OsamRouteAdapter());
  Hive.registerAdapter(NavigationAdapter());
  Hive.registerAdapter(TabNavigationAdapter());
}
